=head1 NAME

Gtk2::RcStyle - wrapper for GtkRcStyle

=cut

=head1 HIERARCHY

  Glib::Object
  +----Gtk2::RcStyle



=cut


=head1 METHODS

=head2 rcstyle = Gtk2::RcStyle-E<gt>B<new> 

=head2 color = $style-E<gt>B<base> ($state, $new=undef)

=over

=item * $state (Gtk2::StateType) 

=item * $new (Gtk2::Gdk::Color or undef) 

=back

=head2 color = $style-E<gt>B<bg> ($state, $new=undef)

=over

=item * $state (Gtk2::StateType) 

=item * $new (Gtk2::Gdk::Color or undef) 

=back

=head2 scalar = $style-E<gt>B<bg_pixmap_name> ($state, $new=undef)

=over

=item * $state (Gtk2::StateType) 

=item * $new (string or undef) 

=back

=head2 rcflags = $style-E<gt>B<color_flags> ($state, $new=0)

=over

=item * $state (Gtk2::StateType) 

=item * $new (Gtk2::RcFlags) 

=back

=head2 rcstyle = $orig-E<gt>B<copy> 

=head2 color = $style-E<gt>B<fg> ($state, $new=undef)

=over

=item * $state (Gtk2::StateType) 

=item * $new (Gtk2::Gdk::Color or undef) 

=back

=head2 scalar = $style-E<gt>B<font_desc> ($new=undef)

=over

=item * $new (scalar) 

=back

=head2 scalar = $style-E<gt>B<name> ($new=undef)

=over

=item * $new (scalar) 

=back

=head2 color = $style-E<gt>B<text> ($state, $new=undef)

=over

=item * $state (Gtk2::StateType) 

=item * $new (Gtk2::Gdk::Color or undef) 

=back

=head2 scalar = $style-E<gt>B<xthickness> ($new=undef)

=over

=item * $new (scalar) 

=back

=head2 scalar = $style-E<gt>B<ythickness> ($new=undef)

=over

=item * $new (scalar) 

=back



=cut


=head1 ENUMS AND FLAGS

=head2 flags Gtk2::RcFlags

=over

=item * 'fg' / 'GTK_RC_FG'

=item * 'bg' / 'GTK_RC_BG'

=item * 'text' / 'GTK_RC_TEXT'

=item * 'base' / 'GTK_RC_BASE'

=back


=head2 enum Gtk2::StateType

=over

=item * 'normal' / 'GTK_STATE_NORMAL'

=item * 'active' / 'GTK_STATE_ACTIVE'

=item * 'prelight' / 'GTK_STATE_PRELIGHT'

=item * 'selected' / 'GTK_STATE_SELECTED'

=item * 'insensitive' / 'GTK_STATE_INSENSITIVE'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

